=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Alejandro Hernandez Cordero <alejandro@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), curl, libcurl4-openssl-dev, ros-rolling-ament-cmake, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), curl, file, libcurl4-openssl-dev, ros-rolling-ament-cmake, ros-rolling-ament-cmake-vendor-package, ros-rolling-ros-workspace
 Homepage: https://github.com/curl/curl
 Standards-Version: 3.9.2
